<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Neo4J.Conversion.Noun</span><span>
</span><span id="line-2"></span><span>  </span><span class="hs-special">(</span><span> </span><span class="annot"><a href="Neo4J.Conversion.Noun.html#createAnthroponym"><span class="hs-identifier">createAnthroponym</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-3"></span><span>    </span><span class="annot"><a href="Neo4J.Conversion.Noun.html#createCommonNoun"><span class="hs-identifier">createCommonNoun</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-4"></span><span>    </span><span class="annot"><a href="Neo4J.Conversion.Noun.html#createMassNoun"><span class="hs-identifier">createMassNoun</span></a></span><span class="hs-special">,</span><span>
</span><span id="line-5"></span><span>  </span><span class="hs-special">)</span><span>
</span><span id="line-6"></span><span class="hs-keyword">where</span><span>
</span><span id="line-7"></span><span>
</span><span id="line-8"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="BasicData.html"><span class="hs-identifier">BasicData</span></a></span><span>
</span><span id="line-9"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><span class="hs-identifier">Data.Map</span></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">M</span></span><span>
</span><span id="line-10"></span><span class="hs-keyword">import</span><span> </span><span class="hs-keyword">qualified</span><span> </span><span class="annot"><span class="hs-identifier">Data.Text</span></span><span> </span><span class="hs-keyword">as</span><span> </span><span class="annot"><span class="hs-identifier">T</span></span><span>
</span><span id="line-11"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Database.Bolt</span></span><span>
</span><span id="line-12"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="EuskeraAppError.html"><span class="hs-identifier">EuskeraAppError</span></a></span><span>
</span><span id="line-13"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Features.Nominal.html"><span class="hs-identifier">Features.Nominal</span></a></span><span>
</span><span id="line-14"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Lexis.html"><span class="hs-identifier">Lexis</span></a></span><span>
</span><span id="line-15"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><a href="Neo4J.Conversion.Utils.html"><span class="hs-identifier">Neo4J.Conversion.Utils</span></a></span><span>
</span><span id="line-16"></span><span>
</span><span id="line-17"></span><span class="annot"><a href="Neo4J.Conversion.Noun.html#createAnthroponym"><span class="hs-identifier hs-type">createAnthroponym</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Node</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Either</span></span><span> </span><span class="annot"><a href="EuskeraAppError.html#EuskeraAppError"><span class="hs-identifier hs-type">EuskeraAppError</span></a></span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span>
</span><span id="line-18"></span><span id="createAnthroponym"><span class="annot"><span class="annottext">createAnthroponym :: Node -&gt; Either EuskeraAppError Lexis
</span><a href="Neo4J.Conversion.Noun.html#createAnthroponym"><span class="hs-identifier hs-var hs-var">createAnthroponym</span></a></span></span><span> </span><span id="local-6989586621679082562"><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082562"><span class="hs-identifier hs-var">node</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Lexis -&gt; Either EuskeraAppError Lexis
forall a b. b -&gt; Either a b
</span><span class="hs-identifier hs-var">Right</span></span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; Either EuskeraAppError Lexis)
-&gt; Lexis -&gt; Either EuskeraAppError Lexis
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">Lexis.N</span></a></span><span> </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Noun -&gt; Nominal
</span><a href="Lexis.Noun.html#Noun"><span class="hs-identifier hs-var">Noun</span></a></span><span> </span><span class="annot"><span class="annottext">(Noun -&gt; Nominal) -&gt; Noun -&gt; Nominal
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">String -&gt; Noun
</span><a href="Lexis.Noun.html#Anthroponym"><span class="hs-identifier hs-var">Anthroponym</span></a></span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679082558"><span class="hs-identifier hs-var">root</span></a></span><span class="hs-special">)</span><span> </span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#baseNounF"><span class="hs-identifier hs-var">baseNounF</span></a></span><span>
</span><span id="line-19"></span><span>  </span><span class="hs-keyword">where</span><span>
</span><span id="line-20"></span><span>    </span><span id="local-6989586621679082558"><span class="annot"><span class="annottext">root :: String
</span><a href="#local-6989586621679082558"><span class="hs-identifier hs-var hs-var">root</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Node -&gt; String
</span><a href="Neo4J.Conversion.Utils.html#getRoot"><span class="hs-identifier hs-var">getRoot</span></a></span><span> </span><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082562"><span class="hs-identifier hs-var">node</span></a></span><span>
</span><span id="line-21"></span><span>
</span><span id="line-22"></span><span class="annot"><a href="Neo4J.Conversion.Noun.html#createCommonNoun"><span class="hs-identifier hs-type">createCommonNoun</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Node</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Either</span></span><span> </span><span class="annot"><a href="EuskeraAppError.html#EuskeraAppError"><span class="hs-identifier hs-type">EuskeraAppError</span></a></span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span>
</span><span id="line-23"></span><span id="createCommonNoun"><span class="annot"><span class="annottext">createCommonNoun :: Node -&gt; Either EuskeraAppError Lexis
</span><a href="Neo4J.Conversion.Noun.html#createCommonNoun"><span class="hs-identifier hs-var hs-var">createCommonNoun</span></a></span></span><span> </span><span id="local-6989586621679082555"><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082555"><span class="hs-identifier hs-var">node</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-24"></span><span>  </span><span class="annot"><span class="annottext">Lexis -&gt; Either EuskeraAppError Lexis
forall a b. b -&gt; Either a b
</span><span class="hs-identifier hs-var">Right</span></span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; Either EuskeraAppError Lexis)
-&gt; Lexis -&gt; Either EuskeraAppError Lexis
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span>
</span><span id="line-25"></span><span>    </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">Lexis.N</span></a></span><span>
</span><span id="line-26"></span><span>      </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Noun -&gt; Nominal
</span><a href="Lexis.Noun.html#Noun"><span class="hs-identifier hs-var">Noun</span></a></span><span> </span><span class="annot"><span class="annottext">(Noun -&gt; Nominal) -&gt; Noun -&gt; Nominal
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">String -&gt; Number -&gt; Noun
</span><a href="Lexis.Noun.html#Count"><span class="hs-identifier hs-var">Count</span></a></span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679082553"><span class="hs-identifier hs-var">root</span></a></span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="#local-6989586621679082552"><span class="hs-identifier hs-var">defaultNumber</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-27"></span><span>      </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#baseNounF"><span class="hs-identifier hs-var">baseNounF</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">number :: Number
</span><a href="Features.Nominal.html#number"><span class="hs-identifier hs-var">number</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Node -&gt; Number
</span><a href="Neo4J.Conversion.Utils.html#getNumber"><span class="hs-identifier hs-var">getNumber</span></a></span><span> </span><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082555"><span class="hs-identifier hs-var">node</span></a></span><span class="hs-special">}</span><span class="hs-special">)</span><span>
</span><span id="line-28"></span><span>  </span><span class="hs-keyword">where</span><span>
</span><span id="line-29"></span><span>    </span><span id="local-6989586621679082553"><span class="annot"><span class="annottext">root :: String
</span><a href="#local-6989586621679082553"><span class="hs-identifier hs-var hs-var">root</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Node -&gt; String
</span><a href="Neo4J.Conversion.Utils.html#getRoot"><span class="hs-identifier hs-var">getRoot</span></a></span><span> </span><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082555"><span class="hs-identifier hs-var">node</span></a></span><span>
</span><span id="line-30"></span><span>    </span><span id="local-6989586621679082552"><span class="annot"><span class="annottext">defaultNumber :: Number
</span><a href="#local-6989586621679082552"><span class="hs-identifier hs-var hs-var">defaultNumber</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Node -&gt; Number
</span><a href="Neo4J.Conversion.Utils.html#getNumber"><span class="hs-identifier hs-var">getNumber</span></a></span><span> </span><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082555"><span class="hs-identifier hs-var">node</span></a></span><span>
</span><span id="line-31"></span><span>
</span><span id="line-32"></span><span class="annot"><a href="Neo4J.Conversion.Noun.html#createMassNoun"><span class="hs-identifier hs-type">createMassNoun</span></a></span><span> </span><span class="hs-glyph">::</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Node</span></span><span> </span><span class="hs-glyph">-&gt;</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Either</span></span><span> </span><span class="annot"><a href="EuskeraAppError.html#EuskeraAppError"><span class="hs-identifier hs-type">EuskeraAppError</span></a></span><span> </span><span class="annot"><a href="Lexis.html#Lexis"><span class="hs-identifier hs-type">Lexis</span></a></span><span>
</span><span id="line-33"></span><span id="createMassNoun"><span class="annot"><span class="annottext">createMassNoun :: Node -&gt; Either EuskeraAppError Lexis
</span><a href="Neo4J.Conversion.Noun.html#createMassNoun"><span class="hs-identifier hs-var hs-var">createMassNoun</span></a></span></span><span> </span><span id="local-6989586621679082549"><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082549"><span class="hs-identifier hs-var">node</span></a></span></span><span> </span><span class="hs-glyph">=</span><span>
</span><span id="line-34"></span><span>  </span><span class="annot"><span class="annottext">Lexis -&gt; Either EuskeraAppError Lexis
forall a b. b -&gt; Either a b
</span><span class="hs-identifier hs-var">Right</span></span><span> </span><span class="annot"><span class="annottext">(Lexis -&gt; Either EuskeraAppError Lexis)
-&gt; Lexis -&gt; Either EuskeraAppError Lexis
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span>
</span><span id="line-35"></span><span>    </span><span class="annot"><span class="annottext">Nominal -&gt; NF -&gt; Lexis
</span><a href="Lexis.html#N"><span class="hs-identifier hs-var">Lexis.N</span></a></span><span>
</span><span id="line-36"></span><span>      </span><span class="hs-special">(</span><span class="annot"><span class="annottext">Noun -&gt; Nominal
</span><a href="Lexis.Noun.html#Noun"><span class="hs-identifier hs-var">Noun</span></a></span><span> </span><span class="annot"><span class="annottext">(Noun -&gt; Nominal) -&gt; Noun -&gt; Nominal
forall a b. (a -&gt; b) -&gt; a -&gt; b
</span><span class="hs-operator hs-var">$</span></span><span> </span><span class="annot"><span class="annottext">String -&gt; Noun
</span><a href="Lexis.Noun.html#Mass"><span class="hs-identifier hs-var">Mass</span></a></span><span> </span><span class="annot"><span class="annottext">String
</span><a href="#local-6989586621679082547"><span class="hs-identifier hs-var">root</span></a></span><span class="hs-special">)</span><span>
</span><span id="line-37"></span><span>      </span><span class="hs-special">(</span><span class="annot"><span class="annottext">NF
</span><a href="BasicData.html#baseNounF"><span class="hs-identifier hs-var">baseNounF</span></a></span><span> </span><span class="hs-special">{</span><span class="annot"><span class="annottext">number :: Number
</span><a href="Features.Nominal.html#number"><span class="hs-identifier hs-var">number</span></a></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Number
</span><a href="Features.Nominal.html#Singular"><span class="hs-identifier hs-var">Singular</span></a></span><span class="hs-special">}</span><span class="hs-special">)</span><span>
</span><span id="line-38"></span><span>  </span><span class="hs-keyword">where</span><span>
</span><span id="line-39"></span><span>    </span><span id="local-6989586621679082547"><span class="annot"><span class="annottext">root :: String
</span><a href="#local-6989586621679082547"><span class="hs-identifier hs-var hs-var">root</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="annottext">Node -&gt; String
</span><a href="Neo4J.Conversion.Utils.html#getRoot"><span class="hs-identifier hs-var">getRoot</span></a></span><span> </span><span class="annot"><span class="annottext">Node
</span><a href="#local-6989586621679082549"><span class="hs-identifier hs-var">node</span></a></span><span>
</span><span id="line-40"></span></pre></body></html>